/**
 * @file Test.idl
 *
 * Test.idl,v 1.2 2002/09/25 13:14:01 jwillemsen Exp
 *
 * @author Carlos O'Ryan <coryan@atdesk.com>
 *
 */
#ifndef Test__idl_
#define Test__idl_

module Test
{
  typedef sequence<octet> Payload;
  interface Echo
  {
    oneway void echo_payload(in Payload data);
  };

  interface Echo_Caller
  {
    void start_task(in Echo client);

    oneway void shutdown();
  };
};

#endif /* Test__idl_ */
